### Method

# GWeather Info set_enabled_providers

#### Declaration [src]

    void
    gweather_info_set_enabled_providers (
      GWeatherInfo* info,
      GWeatherProvider providers
    )

#### Description [src]

Sets the enabled providers for fetching the weather. Note that it is up to the application developer to make sure that the terms of use for each service are respected.

Online providers will not be enabled if the application ID is not set to a valid value.

Sets property | `GWeather.Info:enabled-providers`

#### Parameters

`providers`

  Type: `GWeatherProvider`

  A bitmask of `GWeatherProvider`.